diff -Nurd -x'*~' at-spi-1.28.1.orig/Makefile.in at-spi-1.28.1/Makefile.in
--- at-spi-1.28.1.orig/Makefile.in	2009-10-18 22:59:15.000000000 -0400
+++ at-spi-1.28.1/Makefile.in	2010-03-01 01:05:09.000000000 -0500
@@ -323,7 +323,7 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-SUBDIRS = docs idl libspi login-helper registryd atk-bridge cspi pyatspi test po
+SUBDIRS = docs idl libspi login-helper registryd atk-bridge cspi po
 pkgconfigdir = $(libdir)/pkgconfig
 pkgconfig_DATA = libspi-1.0.pc cspi-1.0.pc libloginhelper-1.0.pc
 DISTCHECK_CONFIGURE_FLAGS = --enable-gtk-doc
@@ -898,7 +898,7 @@
 @INTLTOOL_SCHEMAS_RULE@
 
 @GCONF_SCHEMAS_INSTALL_TRUE@install-data-local:
-@GCONF_SCHEMAS_INSTALL_TRUE@                if test -z "$(DESTDIR)" ; then \
+@GCONF_SCHEMAS_INSTALL_TRUE@	        if test -z "$(DESTDIR)" ; then \
 @GCONF_SCHEMAS_INSTALL_TRUE@                        for p in $(schemas_DATA) ; do \
 @GCONF_SCHEMAS_INSTALL_TRUE@                                GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) $(GCONFTOOL) --makefile-install-rule $(top_builddir)/data/$$p ; \
 @GCONF_SCHEMAS_INSTALL_TRUE@                        done \
diff -Nurd -x'*~' at-spi-1.28.1.orig/atk-bridge/Makefile.in at-spi-1.28.1/atk-bridge/Makefile.in
--- at-spi-1.28.1.orig/atk-bridge/Makefile.in	2009-10-18 22:59:13.000000000 -0400
+++ at-spi-1.28.1/atk-bridge/Makefile.in	2010-08-17 05:54:01.000000000 -0400
@@ -289,11 +289,11 @@
 libatk_bridge_la_DEPENDENCIES = \
 	$(top_srcdir)/libspi/application.h
 
-INCLUDES = -I $(top_srcdir) \
-	   -I $(top_builddir) \
-	   -I $(top_srcdir)/libspi \
-	   -I $(top_builddir)/libspi \
-	   -I $(top_builddir)/atk-bridge \
+INCLUDES = -I$(top_srcdir) \
+	   -I$(top_builddir) \
+	   -I$(top_srcdir)/libspi \
+	   -I$(top_builddir)/libspi \
+	   -I$(top_builddir)/atk-bridge \
 	   $(WARN_CFLAGS) \
 	   $(ATK_BRIDGE_CFLAGS) \
 	   -DG_LOG_DOMAIN=\"atk-bridge\" \
@@ -313,7 +313,7 @@
 
 libatk_bridge_la_LIBADD = \
 	$(top_builddir)/libspi/libspi.la	\
-	$(ATK_BRIDGE_LIBS) $(X_LIBS)
+	$(ATK_BRIDGE_LIBS) $(X_LIBS) $(INTLLIBS)
 
 all: all-am
 
diff -Nurd -x'*~' at-spi-1.28.1.orig/configure at-spi-1.28.1/configure
--- at-spi-1.28.1.orig/configure	2009-10-18 22:59:12.000000000 -0400
+++ at-spi-1.28.1/configure	2010-03-01 01:09:18.000000000 -0500
@@ -5353,6 +5353,7 @@
 
 
 # Check for Python
+if false; then
 
 
 
@@ -5563,6 +5564,7 @@
 
   fi
 
+fi
 
 
 
@@ -13923,6 +13925,7 @@
 if test x$no_x = xyes ; then
 	as_fn_error "X development libraries not found" "$LINENO" 5
 else
+	LIBS="$LIBS $X_LIBS"
 	X_LIBS="$X_LIBS -lX11"
 fi
 
@@ -15065,6 +15068,7 @@
 
 
 
+if false; then
 { $as_echo "$as_me:${as_lineno-$LINENO}: checking for poptGetContext in -lpopt" >&5
 $as_echo_n "checking for poptGetContext in -lpopt... " >&6; }
 if test "${ac_cv_lib_popt_poptGetContext+set}" = set; then :
@@ -15130,6 +15134,7 @@
 
 fi
 rm -f conftest.err conftest.$ac_ext
+fi
 
 #libtool option to strip symbols starting with cspi
 #
diff -Nurd -x'*~' at-spi-1.28.1.orig/cspi/Makefile.in at-spi-1.28.1/cspi/Makefile.in
--- at-spi-1.28.1.orig/cspi/Makefile.in	2009-10-18 22:59:13.000000000 -0400
+++ at-spi-1.28.1/cspi/Makefile.in	2010-08-17 05:12:29.000000000 -0400
@@ -332,11 +332,11 @@
 SUBDIRS = bonobo
 NULL = 
 lib_LTLIBRARIES = libcspi.la
-INCLUDES = -I $(top_srcdir)           \
-           -I $(top_builddir)         \
-           $(X_CFLAGS)                \
+INCLUDES = -I$(top_srcdir)           \
+           -I$(top_builddir)         \
            $(WARN_CFLAGS)                \
-           $(LIBCSPI_CFLAGS)
+           $(LIBCSPI_CFLAGS) \
+           $(X_CFLAGS)
 
 libcspi_la_LDFLAGS = @LDFLAGS@ @LT_VERSION_INFO@ @LIBTOOL_EXPORT_OPTIONS@ -no-undefined
 LDADD = \
diff -Nurd -x'*~' at-spi-1.28.1.orig/cspi/bonobo/Makefile.in at-spi-1.28.1/cspi/bonobo/Makefile.in
--- at-spi-1.28.1.orig/cspi/bonobo/Makefile.in	2009-10-18 22:59:14.000000000 -0400
+++ at-spi-1.28.1/cspi/bonobo/Makefile.in	2010-08-17 05:48:44.000000000 -0400
@@ -257,11 +257,11 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-INCLUDES = -I $(top_srcdir)           \
-           -I $(top_builddir)         \
-           $(X_CFLAGS)                \
+INCLUDES = -I$(top_srcdir)           \
+           -I$(top_builddir)         \
            $(WARN_CFLAGS)                \
-           $(LIBCSPI_CFLAGS)
+           $(LIBCSPI_CFLAGS) \
+           $(X_CFLAGS)
 
 noinst_LTLIBRARIES = libcspi-bonobo.la
 libcspi_bonobo_la_SOURCES = \
diff -Nurd -x'*~' at-spi-1.28.1.orig/test/Makefile.in at-spi-1.28.1/test/Makefile.in
--- at-spi-1.28.1.orig/test/Makefile.in	2009-10-18 22:59:15.000000000 -0400
+++ at-spi-1.28.1/test/Makefile.in	2012-09-07 16:13:16.000000000 -0400
@@ -392,7 +392,7 @@
 	   $(TESTS_CFLAGS)	     \
 	   $(DEBUG_CFLAGS)
 
-LDADD = ../libspi/libspi.la ../cspi/libcspi.la ../login-helper/libloginhelper.la $(TESTS_LIBS) $(X_LIBS) $(XINPUT_LIBS)
+LDADD = ../libspi/libspi.la ../cspi/libcspi.la ../login-helper/libloginhelper.la $(TESTS_LIBS) $(X_LIBS) $(XINPUT_LIBS) $(INTLLIBS)
 TESTS_ENVIRONMENT = \
 	LD_LIBRARY_PATH=$(top_builddir)/libspi/.libs/:$(top_builddir)/cspi/.libs/	\
 	PATH=$(top_builddir)/registryd/.libs/:$(PATH)