diff -Nurd -x'*~' file-roller-2.28.2.orig/data/file-roller.desktop.in.in file-roller-2.28.2/data/file-roller.desktop.in.in
--- file-roller-2.28.2.orig/data/file-roller.desktop.in.in	2009-11-07 13:38:18.000000000 -0500
+++ file-roller-2.28.2/data/file-roller.desktop.in.in	2011-08-04 09:48:20.000000000 -0400
@@ -8,7 +8,7 @@
 Type=Application
 Icon=file-roller
 Categories=GTK;GNOME;Utility;Archiving;Compression;
-MimeType=application/x-7z-compressed;application/x-7z-compressed-tar;application/x-ace;application/x-alz;application/x-ar;application/x-arj;application/x-bzip;application/x-bzip-compressed-tar;application/x-bzip1;application/x-bzip1-compressed-tar;application/x-cabinet;application/x-cbr;application/x-cbz;application/x-cd-image;application/x-compress;application/x-compressed-tar;application/x-cpio;application/x-deb;application/x-ear;application/x-ms-dos-executable;application/x-gtar;application/x-gzip;application/x-gzpostscript;application/x-java-archive;application/x-lha;application/x-lhz;application/x-lzip;application/x-lzip-compressed-tar;application/x-lzma;application/x-lzma-compressed-tar;application/x-lzop;application/x-lzop-compressed-tar;application/x-rar;application/x-rar-compressed;application/x-rpm;application/x-rzip;application/x-tar;application/x-tarz;application/x-stuffit;application/x-war;application/x-xz;application/x-xz-compressed-tar;application/x-zip;application/x-zip-compressed;application/x-zoo;application/zip;multipart/x-zip;
+MimeType=application/x-7z-compressed;application/x-7z-compressed-tar;application/x-ace;application/x-alz;application/x-ar;application/x-arj;application/x-bzip;application/x-bzip-compressed-tar;application/x-bzip1;application/x-bzip1-compressed-tar;application/x-cabinet;application/x-cbr;application/x-cbz;application/x-cd-image;application/x-compress;application/x-compressed-tar;application/x-cpio;application/x-deb;application/x-ear;application/x-ms-dos-executable;application/x-gtar;application/x-gzip;application/x-gzpostscript;application/x-java-archive;application/x-lha;application/x-lhz;application/x-lzip;application/x-lzip-compressed-tar;application/x-lzma;application/x-lzma-compressed-tar;application/x-lzop;application/x-lzop-compressed-tar;application/x-rar;application/x-rar-compressed;application/x-rpm;application/x-rzip;application/x-tar;application/x-tarz;application/x-stuffit;application/x-war;application/x-xz;application/x-xz-compressed-tar;application/x-zip;application/x-zip-compressed;application/x-zoo;application/zip;
 X-GNOME-DocPath=file-roller/file-roller.xml
 X-GNOME-Bugzilla-Bugzilla=GNOME
 X-GNOME-Bugzilla-Product=file-roller
diff -Nurd -x'*~' file-roller-2.28.2.orig/nautilus/Makefile.in file-roller-2.28.2/nautilus/Makefile.in
--- file-roller-2.28.2.orig/nautilus/Makefile.in	2009-12-15 03:52:02.000000000 -0500
+++ file-roller-2.28.2/nautilus/Makefile.in	2010-03-08 09:55:17.000000000 -0500
@@ -270,7 +270,7 @@
 	fileroller-module.c
 
 libnautilus_fileroller_la_LDFLAGS = -module -avoid-version -no-undefined
-libnautilus_fileroller_la_LIBADD = $(NAUTILUS_LIBS)
+libnautilus_fileroller_la_LIBADD = $(NAUTILUS_LIBS) $(INTLLIBS)
 all: all-am
 
 .SUFFIXES:
diff -Nurd -x'*~' file-roller-2.28.2.orig/src/Makefile.in file-roller-2.28.2/src/Makefile.in
--- file-roller-2.28.2.orig/src/Makefile.in	2009-12-15 03:52:02.000000000 -0500
+++ file-roller-2.28.2/src/Makefile.in	2010-03-08 05:32:49.000000000 -0500
@@ -449,7 +449,7 @@
 
 file_roller_LDADD = \
 		    $(top_builddir)/copy-n-paste/libeggsmclient.la	\
-		    $(FR_LIBS)
+		    $(FR_LIBS) $(INTLLIBS)
 
 EXTRA_DIST = fr-marshal.list
 CLEANFILES = $(BUILT_SOURCES)
diff -Pur file-roller-2.28.2/src/eggtreemultidnd.c.orig file-roller-2.28.2/src/eggtreemultidnd.c
--- file-roller-2.28.2/src/eggtreemultidnd.c.orig	2009-11-07 13:38:19.000000000 -0500
+++ file-roller-2.28.2/src/eggtreemultidnd.c	2012-04-11 16:31:05.000000000 -0400
@@ -310,7 +310,7 @@
       selection = gtk_tree_view_get_selection (GTK_TREE_VIEW (widget));
       gtk_tree_selection_selected_foreach (selection, selection_foreach, &path_list);
       if (path_list == NULL)
-	      return;
+	      return FALSE;
 
       path_list = g_list_reverse (path_list);