diff -Nurd -x'*~' gnome-python-2.28.0.orig/Makefile.am gnome-python-2.28.0/Makefile.am
--- gnome-python-2.28.0.orig/Makefile.am	2009-05-04 06:41:49.000000000 -0400
+++ gnome-python-2.28.0/Makefile.am	2015-02-16 04:38:21.000000000 -0500
@@ -1,4 +1,5 @@
 AUTOMAKE_OPTIONS = 1.6
+ACLOCAL_CFLAGS = -I m4
 
 SUBDIRS = 
 
diff -Nurd -x'*~' gnome-python-2.28.0.orig/bonobo/Makefile.am gnome-python-2.28.0/bonobo/Makefile.am
--- gnome-python-2.28.0.orig/bonobo/Makefile.am	2009-05-04 06:24:35.000000000 -0400
+++ gnome-python-2.28.0/bonobo/Makefile.am	2015-02-16 04:37:50.000000000 -0500
@@ -1,5 +1,4 @@
-
-INCLUDES = $(PYTHON_INCLUDES) $(PYGTK_CFLAGS) $(PYORBIT_CFLAGS) \
+common_inc = $(PYTHON_INCLUDES) $(PYGTK_CFLAGS) $(PYORBIT_CFLAGS) \
   $(BONOBO_CFLAGS) $(BONOBOUI_CFLAGS)
 
 defsdir = $(datadir)/pygtk/2.0/defs
@@ -31,7 +30,7 @@
 if BUILD_BONOBO_ACTIVATION
 pybonoboexec_LTLIBRARIES += activation.la
 endif
-activation_la_CFLAGS = $(BONOBO_ACTIVATION_CFLAGS)
+activation_la_CPPFLAGS = $(common_inc) $(BONOBO_ACTIVATION_CFLAGS)
 activation_la_LDFLAGS = $(common_ldflags) -export-symbols-regex initactivation
 activation_la_LIBADD = $(BONOBO_ACTIVATION_LIBS) $(PYTHON_LIBS)
 activation_la_SOURCES = activationmodule.c
@@ -39,7 +38,7 @@
 if BUILD_BONOBO
 pybonoboexec_LTLIBRARIES += _bonobo.la
 endif
-_bonobo_la_CFLAGS = $(BONOBO_CFLAGS)
+_bonobo_la_CPPFLAGS = $(common_inc) $(BONOBO_CFLAGS)
 _bonobo_la_LDFLAGS = $(common_ldflags) -export-symbols-regex init_bonobo
 _bonobo_la_LIBADD = $(BONOBO_LIBS) $(PYTHON_LIBS)
 _bonobo_la_SOURCES = bonobomodule.c bonobo-arg.c pybonobo.h pybonobo.c
@@ -51,7 +50,7 @@
 if BUILD_BONOBOUI
 pybonoboexec_LTLIBRARIES += ui.la
 endif
-ui_la_CFLAGS = $(BONOBOUI_CFLAGS)
+ui_la_CPPFLAGS = $(common_inc) $(BONOBOUI_CFLAGS)
 ui_la_LDFLAGS = $(common_ldflags) -export-symbols-regex initui
 ui_la_LIBADD = $(BONOBOUI_LIBS) $(PYTHON_LIBS)
 ui_la_SOURCES = bonobouimodule.c
diff -Nurd -x'*~' gnome-python-2.28.0.orig/configure.ac gnome-python-2.28.0/configure.ac
--- gnome-python-2.28.0.orig/configure.ac	2009-09-21 10:27:37.000000000 -0400
+++ gnome-python-2.28.0/configure.ac	2015-02-16 04:38:52.000000000 -0500
@@ -29,6 +29,7 @@
 AC_INIT(gnome-python, gnome_python_version,
         [http://bugzilla.gnome.org/enter_bug.cgi?product=gnome-python])
 dnl AC_CONFIG_SRCDIR([gnome/uimodule.c])
+AC_CONFIG_MACRO_DIR([m4])
 AM_CONFIG_HEADER(config.h)
 
 AM_INIT_AUTOMAKE
@@ -273,7 +274,7 @@
 dnl should we build the gconf module?
 AC_ARG_BINDING([gconf], [ON])
 if $build_gconf; then
-  PKG_CHECK_MODULES(GCONF, gconf-2.0 >= gconf_required_version,
+  PKG_CHECK_MODULES(GCONF, gconf-2.0 >= gconf_required_version pygobject-2.0,
     build_gconf=true,
     build_gconf=false)
   GCONF_INCLUDEDIR="`pkg-config gconf-2.0 --variable includedir`/gconf/2/gconf"
@@ -385,8 +386,11 @@
   echo "Download it from: http://ftp.gnome.org/pub/GNOME/sources/pyorbit/2.0/"
 fi
 
-echo "*****************************************************************************"
-echo "*** WARNING: You are using a deprecated build system (autotools)."
-echo "***          You should be using WAF instead; see the file INSTALL.WAF."
-echo "***          The autotools build system will be removed in a future version."
-echo "*****************************************************************************"
+# make sure all expected modules will be built
+# (missing deps just disable modules instead of crashing ./configure)
+if $build_gnome && $build_gnomeui && $build_gnomecanvas && $build_gnomevfs && $build_gnomevfsbonobo && $build_pyvfsmodule && $build_gconf && $build_bonobo && $build_bonobo_activation && $build_bonoboui; then
+  :
+else
+  echo "Incomplete package configuration."
+  exit 1
+fi
diff -Nurd -x'*~' gnome-python-2.28.0.orig/gconf/Makefile.am gnome-python-2.28.0/gconf/Makefile.am
--- gnome-python-2.28.0.orig/gconf/Makefile.am	2009-05-04 06:24:35.000000000 -0400
+++ gnome-python-2.28.0/gconf/Makefile.am	2015-02-16 04:35:01.000000000 -0500
@@ -1,5 +1,3 @@
-INCLUDES = $(PYTHON_INCLUDES) $(PYGTK_CFLAGS)
-
 defsdir = $(datadir)/pygtk/2.0/defs
 
 defs_DATA = gconf.defs
@@ -12,7 +10,7 @@
 # gconf binding
 
 pkgpyexec_LTLIBRARIES = gconf.la
-gconf_la_CFLAGS = $(GCONF_CFLAGS)
+gconf_la_CPPFLAGS = $(PYTHON_INCLUDES) $(PYGTK_CFLAGS) $(GCONF_CFLAGS)
 gconf_la_LDFLAGS = $(common_ldflags) -export-symbols-regex initgconf
 gconf_la_LIBADD = $(GCONF_LIBS) $(PYTHON_LIBS)
 gconf_la_SOURCES = \
diff -Nurd -x'*~' gnome-python-2.28.0.orig/gnome/Makefile.am gnome-python-2.28.0/gnome/Makefile.am
--- gnome-python-2.28.0.orig/gnome/Makefile.am	2009-05-04 06:24:35.000000000 -0400
+++ gnome-python-2.28.0/gnome/Makefile.am	2015-02-16 04:35:52.000000000 -0500
@@ -1,5 +1,3 @@
-INCLUDES = $(PYTHON_INCLUDES) $(PYGTK_CFLAGS)
-
 defsdir = $(datadir)/pygtk/2.0/defs
 defs_DATA = \
   gnome.defs \
@@ -22,7 +20,7 @@
 # libgnome binding
 
 pygnomeexec_LTLIBRARIES += _gnome.la
-_gnome_la_CFLAGS = $(GNOME_CFLAGS)
+_gnome_la_CPPFLAGS = $(PYTHON_INCLUDES) $(PYGTK_CFLAGS) $(GNOME_CFLAGS)
 _gnome_la_LDFLAGS = $(common_ldflags) -export-symbols-regex init_gnome
 _gnome_la_LIBADD = $(GNOME_LIBS) $(PYTHON_LIBS)
 _gnome_la_SOURCES = gnomemodule.c
@@ -36,7 +34,7 @@
 if BUILD_GNOMEUI
 pygnomeexec_LTLIBRARIES += ui.la
 endif
-ui_la_CFLAGS = $(GNOMEUI_CFLAGS) -I$(top_srcdir)/gnomevfs
+ui_la_CPPFLAGS = -I$(top_srcdir)/gnomevfs $(PYTHON_INCLUDES) $(PYGTK_CFLAGS) $(GNOMEUI_CFLAGS)
 ui_la_LDFLAGS = $(common_ldflags) -export-symbols-regex initui
 ui_la_LIBADD = $(GNOMEUI_LIBS) $(PYTHON_LIBS)
 ui_la_SOURCES = uimodule.c
diff -Nurd -x'*~' gnome-python-2.28.0.orig/gnomecanvas/Makefile.am gnome-python-2.28.0/gnomecanvas/Makefile.am
--- gnome-python-2.28.0.orig/gnomecanvas/Makefile.am	2009-05-04 06:24:36.000000000 -0400
+++ gnome-python-2.28.0/gnomecanvas/Makefile.am	2015-02-16 04:37:20.000000000 -0500
@@ -1,5 +1,3 @@
-INCLUDES = $(PYTHON_INCLUDES) $(PYGTK_CFLAGS)
-
 defsdir = $(datadir)/pygtk/2.0/defs
 defs_DATA = canvas.defs
 
@@ -12,7 +10,7 @@
 
 # libgnomecanvas binding
 pkgpyexec_LTLIBRARIES = gnomecanvas.la
-gnomecanvas_la_CFLAGS = $(GNOMECANVAS_CFLAGS)
+gnomecanvas_la_CPPFLAGS = $(PYTHON_INCLUDES) $(PYGTK_CFLAGS) $(GNOMECANVAS_CFLAGS)
 gnomecanvas_la_LDFLAGS = $(common_ldflags) -export-symbols-regex initgnomecanvas
 gnomecanvas_la_LIBADD = $(GNOMECANVAS_LIBS) $(PYTHON_LIBS)
 gnomecanvas_la_SOURCES = canvasmodule.c
diff -Nurd -x'*~' gnome-python-2.28.0.orig/gnomevfs/Makefile.am gnome-python-2.28.0/gnomevfs/Makefile.am
--- gnome-python-2.28.0.orig/gnomevfs/Makefile.am	2009-05-04 06:24:36.000000000 -0400
+++ gnome-python-2.28.0/gnomevfs/Makefile.am	2015-02-16 04:37:05.000000000 -0500
@@ -1,4 +1,4 @@
-INCLUDES = $(PYTHON_INCLUDES) $(PYGTK_CFLAGS) -DPY_SSIZE_T_CLEAN
+common_inc = $(PYTHON_INCLUDES) $(PYGTK_CFLAGS) -DPY_SSIZE_T_CLEAN
 
 
 EXTRA_DIST =
@@ -12,7 +12,7 @@
 
 # libgnomevfs binding
 gnomevfs_LTLIBRARIES = _gnomevfs.la
-_gnomevfs_la_CFLAGS = $(GNOMEVFS_CFLAGS)
+_gnomevfs_la_CPPFLAGS = $(common_inc) $(GNOMEVFS_CFLAGS)
 _gnomevfs_la_LDFLAGS = $(common_ldflags) -export-symbols-regex init_gnomevfs
 _gnomevfs_la_LIBADD = $(GNOMEVFS_LIBS) $(PYTHON_LIBS)
 _gnomevfs_la_SOURCES = vfsmodule.c vfs-uri.c vfs-file-info.c vfs-dir-handle.c \
@@ -23,7 +23,7 @@
 if BUILD_GNOMEVFSBONOBO
 gnomevfs_LTLIBRARIES += gnomevfsbonobo.la
 endif
-gnomevfsbonobo_la_CFLAGS = $(GNOMEVFSBONOBO_CFLAGS)  -DGNOME_VFS_INCLUDE_BONOBO
+gnomevfsbonobo_la_CPPFLAGS = $(common_inc) $(GNOMEVFSBONOBO_CFLAGS)  -DGNOME_VFS_INCLUDE_BONOBO
 gnomevfsbonobo_la_LDFLAGS = $(common_ldflags) -export-symbols-regex initgnomevfsbonobo
 gnomevfsbonobo_la_LIBADD = $(GNOMEVFSBONOBO_LIBS) $(PYTHON_LIBS)
 gnomevfsbonobo_la_SOURCES = vfsbonobomodule.c pygnomevfsbonobo.h
@@ -40,7 +40,7 @@
   vfsmethod_LTLIBRARIES =
 endif
 
-libpythonmethod_la_CFLAGS = $(GNOME_VFS_MODULE_CFLAGS) -DGNOME_VFS_PYTHON_DIR="\"$(vfsmethoddir)\""
+libpythonmethod_la_CPPFLAGS = $(common_inc) $(GNOME_VFS_MODULE_CFLAGS) -DGNOME_VFS_PYTHON_DIR="\"$(vfsmethoddir)\""
 libpythonmethod_la_SOURCES = gnome-vfs-python-method.c
 libpythonmethod_la_LDFLAGS = $(common_ldflags) -export-symbols-regex "vfs_module_(init|shutdown)"
 libpythonmethod_la_LIBADD = $(GNOME_VFS_MODULE_LIBS) $(PYTHON_EMBED_LIBS)
diff -Nurd -x'*~' gnome-python-2.28.0.orig/gnomevfs/Makefile.in gnome-python-2.28.0/gnomevfs/Makefile.in
--- gnome-python-2.28.0.orig/gnomevfs/Makefile.in	2009-09-21 10:29:55.000000000 -0400
+++ gnome-python-2.28.0/gnomevfs/Makefile.in	2015-02-16 04:32:18.000000000 -0500
@@ -333,7 +333,7 @@
 @BUILD_PYVFSMODULE_TRUE@vfsmethod_LTLIBRARIES = libpythonmethod.la
 libpythonmethod_la_CFLAGS = $(GNOME_VFS_MODULE_CFLAGS) -DGNOME_VFS_PYTHON_DIR="\"$(vfsmethoddir)\""
 libpythonmethod_la_SOURCES = gnome-vfs-python-method.c
-libpythonmethod_la_LDFLAGS = $(common_ldflags) -export-symbols-regex "vfs_module_(init|shutdown)"
+libpythonmethod_la_LDFLAGS = $(common_ldflags) -export-symbols-regex "vfs_module_(init|shutdown)" -no-undefined
 libpythonmethod_la_LIBADD = $(GNOME_VFS_MODULE_LIBS) $(PYTHON_EMBED_LIBS)
 all: all-am
 
diff -Nurd -x'*~' gnome-python-2.28.0.orig/wscript gnome-python-2.28.0/wscript
--- gnome-python-2.28.0.orig/wscript	2009-09-21 10:27:37.000000000 -0400
+++ gnome-python-2.28.0/wscript	2015-02-16 04:32:18.000000000 -0500
@@ -115,6 +115,7 @@
         print "** The following modules will NOT be built:"
         for m in not_built:
             print "\t%s" % m
+        sys.exit(1)
 
     conf.write_config_header('config.h')
     