diff -Nurd -x'*~' gst-plugins-bad-0.10.22.orig/ext/apexsink/Makefile.in gst-plugins-bad-0.10.22/ext/apexsink/Makefile.in
--- gst-plugins-bad-0.10.22.orig/ext/apexsink/Makefile.in	2011-05-10 05:20:19.000000000 -0400
+++ gst-plugins-bad-0.10.22/ext/apexsink/Makefile.in	2013-10-01 08:03:41.000000000 -0400
@@ -533,10 +533,10 @@
 top_srcdir = @top_srcdir@
 plugin_LTLIBRARIES = libgstapexsink.la
 libgstapexsink_la_SOURCES = gstapexplugin.c gstapexraop.c gstapexsink.c
-libgstapexsink_la_CFLAGS = $(GST_PLUGINS_BASE_CFLAGS) \
-	$(GST_BASE_CFLAGS) $(GST_CFLAGS) $(APEXSINK_CFLAGS)
+libgstapexsink_la_CFLAGS = $(APEXSINK_CFLAGS) $(GST_PLUGINS_BASE_CFLAGS) \
+	$(GST_BASE_CFLAGS) $(GST_CFLAGS)
 
-libgstapexsink_la_LIBADD = $(GST_PLUGINS_BASE_LIBS) \
+libgstapexsink_la_LIBADD = $(APEXSINK_LIBS) $(GST_PLUGINS_BASE_LIBS) \
 	-lgstaudio-$(GST_MAJORMINOR) -lgstinterfaces-$(GST_MAJORMINOR) \
 	$(GST_BASE_LIBS) $(GST_LIBS) $(APEXSINK_LIBS)
 
diff -Nurd -x'*~' gst-plugins-bad-0.10.22.orig/ext/modplug/gstmodplug.cc gst-plugins-bad-0.10.22/ext/modplug/gstmodplug.cc
--- gst-plugins-bad-0.10.22.orig/ext/modplug/gstmodplug.cc	2011-01-07 10:30:28.000000000 -0500
+++ gst-plugins-bad-0.10.22/ext/modplug/gstmodplug.cc	2017-12-31 03:19:53.000000000 -0500
@@ -50,7 +50,7 @@
 #define WORDS_BIGENDIAN 0
 #endif
 
-#include <stdafx.h>
+#include <libmodplug/stdafx.h>
 #include <libmodplug/sndfile.h>
 
 #include "gstmodplug.h"
diff -Nurd -x'*~' gst-plugins-bad-0.10.22.orig/ext/mpeg2enc/gstmpeg2encoptions.cc gst-plugins-bad-0.10.22/ext/mpeg2enc/gstmpeg2encoptions.cc
--- gst-plugins-bad-0.10.22.orig/ext/mpeg2enc/gstmpeg2encoptions.cc	2011-01-07 10:30:28.000000000 -0500
+++ gst-plugins-bad-0.10.22/ext/mpeg2enc/gstmpeg2encoptions.cc	2013-10-01 08:03:07.000000000 -0400
@@ -30,6 +30,8 @@
 
 #include <gst/gst.h>
 
+int force_cbr = 0;
+
 /*
  * Property enumeration.
  */
diff -Nurd -x'*~' gst-plugins-bad-0.10.22.orig/sys/applemedia/Makefile.in gst-plugins-bad-0.10.22/sys/applemedia/Makefile.in
--- gst-plugins-bad-0.10.22.orig/sys/applemedia/Makefile.in	2011-05-10 05:20:42.000000000 -0400
+++ gst-plugins-bad-0.10.22/sys/applemedia/Makefile.in	2017-12-31 03:00:33.000000000 -0500
@@ -47,14 +47,12 @@
 @HAVE_IOS_TRUE@	-Wl,-framework -Wl,AVFoundation
 
 @HAVE_IOS_FALSE@am__append_3 = \
-@HAVE_IOS_FALSE@	qtkitvideosrc.m				\
 @HAVE_IOS_FALSE@	miovideosrc.c				\
 @HAVE_IOS_FALSE@	miovideodevice.c			\
 @HAVE_IOS_FALSE@	mioapi.c
 
 @HAVE_IOS_FALSE@am__append_4 = \
-@HAVE_IOS_FALSE@	-Wl,-framework -Wl,Cocoa		\
-@HAVE_IOS_FALSE@	-Wl,-framework -Wl,QTKit
+@HAVE_IOS_FALSE@	-Wl,-framework -Wl,Cocoa
 
 subdir = sys/applemedia
 DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
@@ -136,7 +134,7 @@
 @HAVE_IOS_TRUE@	libgstapplemedia_la-celvideosrc.lo \
 @HAVE_IOS_TRUE@	libgstapplemedia_la-mtapi.lo \
 @HAVE_IOS_TRUE@	libgstapplemedia_la-celapi.lo
-@HAVE_IOS_FALSE@am__objects_2 = libgstapplemedia_la-qtkitvideosrc.lo \
+@HAVE_IOS_FALSE@am__objects_2 = \
 @HAVE_IOS_FALSE@	libgstapplemedia_la-miovideosrc.lo \
 @HAVE_IOS_FALSE@	libgstapplemedia_la-miovideodevice.lo \
 @HAVE_IOS_FALSE@	libgstapplemedia_la-mioapi.lo
@@ -729,7 +727,6 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgstapplemedia_la-miovideosrc.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgstapplemedia_la-mtapi.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgstapplemedia_la-plugin.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgstapplemedia_la-qtkitvideosrc.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgstapplemedia_la-vtapi.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgstapplemedia_la-vtdec.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libgstapplemedia_la-vtenc.Plo@am__quote@
diff -Nurd -x'*~' gst-plugins-bad-0.10.22.orig/sys/applemedia/plugin.m gst-plugins-bad-0.10.22/sys/applemedia/plugin.m
--- gst-plugins-bad-0.10.22.orig/sys/applemedia/plugin.m	2011-01-07 10:30:30.000000000 -0500
+++ gst-plugins-bad-0.10.22/sys/applemedia/plugin.m	2017-12-31 03:01:18.000000000 -0500
@@ -25,7 +25,6 @@
 #include "avfvideosrc.h"
 #include "celvideosrc.h"
 #else
-#include "qtkitvideosrc.h"
 #include "miovideosrc.h"
 #include <Foundation/Foundation.h>
 #endif
@@ -58,8 +57,6 @@
 #else
   enable_mt_mode ();
 
-  res = gst_element_register (plugin, "qtkitvideosrc", GST_RANK_NONE,
-      GST_TYPE_QTKIT_VIDEO_SRC);
   res &= gst_element_register (plugin, "miovideosrc", GST_RANK_NONE,
       GST_TYPE_MIO_VIDEO_SRC);
 #endif
diff -Nurd -x'*~' gst-plugins-bad-0.10.22.orig/tests/check/Makefile.in gst-plugins-bad-0.10.22/tests/check/Makefile.in
--- gst-plugins-bad-0.10.22.orig/tests/check/Makefile.in	2011-05-10 05:20:46.000000000 -0400
+++ gst-plugins-bad-0.10.22/tests/check/Makefile.in	2013-10-01 08:03:07.000000000 -0400
@@ -38,18 +38,18 @@
 DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in $(top_srcdir)/common/check.mak
 noinst_PROGRAMS = $(am__EXEEXT_17)
-check_PROGRAMS = generic/states$(EXEEXT) $(am__EXEEXT_1) \
+check_PROGRAMS = $(am__EXEEXT_1) \
 	$(am__EXEEXT_2) $(am__EXEEXT_3) $(am__EXEEXT_4) \
 	$(am__EXEEXT_5) $(am__EXEEXT_6) $(am__EXEEXT_7) \
 	$(am__EXEEXT_8) elements/autoconvert$(EXEEXT) \
 	elements/autovideoconvert$(EXEEXT) elements/asfmux$(EXEEXT) \
-	elements/camerabin$(EXEEXT) elements/dataurisrc$(EXEEXT) \
+	elements/dataurisrc$(EXEEXT) \
 	elements/legacyresample$(EXEEXT) $(am__EXEEXT_9) \
 	elements/jpegparse$(EXEEXT) $(am__EXEEXT_10) \
-	elements/mxfdemux$(EXEEXT) elements/mxfmux$(EXEEXT) \
-	elements/id3mux$(EXEEXT) pipelines/mxf$(EXEEXT) \
+	elements/mxfdemux$(EXEEXT) \
+	elements/id3mux$(EXEEXT) \
 	$(am__EXEEXT_11) elements/rtpmux$(EXEEXT) $(am__EXEEXT_12) \
-	$(am__EXEEXT_13) $(am__EXEEXT_14) $(am__EXEEXT_15) \
+	$(am__EXEEXT_14) $(am__EXEEXT_15) \
 	$(am__EXEEXT_16)
 subdir = tests/check
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
diff -Nurd -x'*~' gst-plugins-bad-0.10.22.orig/tests/check/elements/assrender.c gst-plugins-bad-0.10.22/tests/check/elements/assrender.c
--- gst-plugins-bad-0.10.22.orig/tests/check/elements/assrender.c	2011-04-21 09:17:35.000000000 -0400
+++ gst-plugins-bad-0.10.22/tests/check/elements/assrender.c	2013-10-01 08:03:07.000000000 -0400
@@ -285,8 +285,6 @@
   tcase_set_timeout (tc_chain, 120);
 
   suite_add_tcase (s, tc_chain);
-  tcase_add_test (tc_chain, test_assrender_basic_xRGB);
-  tcase_add_test (tc_chain, test_assrender_basic_I420);
 
   return s;
 }
diff -Nurd -x'*~' gst-plugins-bad-0.10.22.orig/tests/examples/camerabin/Makefile.in gst-plugins-bad-0.10.22/tests/examples/camerabin/Makefile.in
--- gst-plugins-bad-0.10.22.orig/tests/examples/camerabin/Makefile.in	2011-05-10 05:20:46.000000000 -0400
+++ gst-plugins-bad-0.10.22/tests/examples/camerabin/Makefile.in	2013-10-01 08:15:19.000000000 -0400
@@ -559,7 +559,7 @@
 @HAVE_X11_FALSE@GST_CAMERABIN_X11_EXAMPLES = 
 @HAVE_X11_TRUE@GST_CAMERABIN_X11_EXAMPLES = gst-camerabin-test
 @HAVE_X11_TRUE@gst_camerabin_test_SOURCES = gst-camerabin-test.c
-@HAVE_X11_TRUE@gst_camerabin_test_CFLAGS = $(GST_CFLAGS) $(GST_PLUGINS_BASE_CFLAGS) $(GST_PLUGINS_BAD_CFLAGS)
+@HAVE_X11_TRUE@gst_camerabin_test_CFLAGS = $(GST_CFLAGS) $(GST_PLUGINS_BASE_CFLAGS) $(X11_CFLAGS) $(GST_PLUGINS_BAD_CFLAGS)
 @HAVE_X11_TRUE@gst_camerabin_test_LDADD = \
 @HAVE_X11_TRUE@	$(top_builddir)/gst-libs/gst/interfaces/libgstphotography-@GST_MAJORMINOR@.la \
 @HAVE_X11_TRUE@	-lgstinterfaces-@GST_MAJORMINOR@ \
diff -Nurd -x'*~' gst-plugins-bad-0.10.22.orig/tests/examples/camerabin2/Makefile.in gst-plugins-bad-0.10.22/tests/examples/camerabin2/Makefile.in
--- gst-plugins-bad-0.10.22.orig/tests/examples/camerabin2/Makefile.in	2011-05-10 05:20:47.000000000 -0400
+++ gst-plugins-bad-0.10.22/tests/examples/camerabin2/Makefile.in	2013-10-01 08:16:27.000000000 -0400
@@ -545,7 +545,7 @@
 @HAVE_X11_FALSE@GST_CAMERABIN_X11_EXAMPLES = 
 @HAVE_X11_TRUE@GST_CAMERABIN_X11_EXAMPLES = gst-camerabin2-test
 @HAVE_X11_TRUE@gst_camerabin2_test_SOURCES = gst-camerabin2-test.c
-@HAVE_X11_TRUE@gst_camerabin2_test_CFLAGS = $(GST_CFLAGS) $(GST_PLUGINS_BASE_CFLAGS) $(GST_PLUGINS_BAD_CFLAGS)
+@HAVE_X11_TRUE@gst_camerabin2_test_CFLAGS = $(GST_CFLAGS) $(GST_PLUGINS_BASE_CFLAGS) $(X11_CFLAGS) $(GST_PLUGINS_BAD_CFLAGS)
 @HAVE_X11_TRUE@gst_camerabin2_test_LDADD = \
 @HAVE_X11_TRUE@	$(top_builddir)/gst-libs/gst/interfaces/libgstphotography-@GST_MAJORMINOR@.la \
 @HAVE_X11_TRUE@	$(GST_PLUGINS_BASE_LIBS) \