diff -Nurd -x'*~' gdome2-0.8.1.orig/Makefile.am gdome2-0.8.1/Makefile.am
--- gdome2-0.8.1.orig/Makefile.am	2003-01-07 04:16:18.000000000 -0500
+++ gdome2-0.8.1/Makefile.am	2015-11-15 02:50:06.000000000 -0500
@@ -1,3 +1,4 @@
+ACLOCAL_AMFLAGS = -I m4
 NULL =
 
 SUBDIRS = 		\
diff -Nurd -x'*~' gdome2-0.8.1.orig/configure.in gdome2-0.8.1/configure.in
--- gdome2-0.8.1.orig/configure.in	2003-10-05 10:39:27.000000000 -0400
+++ gdome2-0.8.1/configure.in	2015-11-15 03:45:15.000000000 -0500
@@ -1,13 +1,11 @@
-AC_INIT(libgdome/gdome.c)
-
-VERSION=0.8.1
-PACKAGE=gdome2
-GDOME_VERSION_INFO=`echo $VERSION | awk -F. '{ printf "%d:%d:%d", $1+$2, $3, $2 }'`
-AC_SUBST(GDOME_VERSION_INFO)
-
+AC_CONFIG_SRCDIR(libgdome/gdome.c)
+AC_INIT([gdome2], [0.8.1])
 AM_CONFIG_HEADER(config.h)
-AM_INIT_AUTOMAKE($PACKAGE, $VERSION, no-define)
+AC_CONFIG_MACRO_DIRS([m4])
+AM_INIT_AUTOMAKE([no-define])
 AM_MAINTAINER_MODE
+GDOME_VERSION_INFO=`echo $VERSION | awk -F. '{ printf "%d:%d:%d", $1+$2, $3, $2 }'`
+AC_SUBST(GDOME_VERSION_INFO)
 
 
 dnl
@@ -57,24 +55,13 @@
 dnl find glib
 dnl
 
-GLIB_1="no"
-AC_ARG_ENABLE(glib-1, 
-        [  --enable-glib-1=[no]	            Specify if you want to use glib 1],
-	GLIB_1=yes
-)
+PKG_PROG_PKG_CONFIG()
 
-if test "x$GLIB_1" = "xyes"
-then
-	PKG_CHECK_MODULES(GLIB, glib)
-	GLIB_REQUIRED="glib"
-	GLIB_MIN_VERSION=1.2.10
-        AM_PATH_GLIB($GLIB_MIN_VERSION,,AC_MSG_ERROR(Could not find GLIB (see config.log for details).))
-else
+	AC_SUBST(GLIB_CONFIG,@FINKPREFIX@/bin/glib-config)
 	PKG_CHECK_MODULES(GLIB, glib-2.0)
 	GLIB_REQUIRED="glib-2.0"
 	GLIB_MIN_VERSION=2.2.0
-        AM_PATH_GLIB_2_0($GLIB_MIN_VERSION,,AC_MSG_ERROR(Could not find GLIB (see config.log for details).))
-fi
+        AM_PATH_GLIB_2_0($GLIB_MIN_VERSION,,AC_MSG_ERROR(Could not find GLIB2 (see config.log for details).))
 AC_SUBST(GLIB_MIN_VERSION)
 AC_SUBST(GLIB_LIBS)
 AC_SUBST(GLIB_REQUIRED)
@@ -119,7 +106,7 @@
 if test "$with_ref_debug" = "yes" ; then
     echo Enabling reference counting debug support
     WITH_REF_DEBUG=1
-    AC_DEFINE(DEBUG_REFCNT)
+    AC_DEFINE(DEBUG_REFCNT, 1, [Define to enable reference counting debug support])
 else    
     WITH_REF_DEBUG=0
 fi
diff -Nurd -x'*~' gdome2-0.8.1.orig/gdome2.pc.in gdome2-0.8.1/gdome2.pc.in
--- gdome2-0.8.1.orig/gdome2.pc.in	2003-10-03 11:53:29.000000000 -0400
+++ gdome2-0.8.1/gdome2.pc.in	2010-01-15 13:59:53.000000000 -0500
@@ -7,6 +7,6 @@
 Name: gdome2
 Description: DOM level2 library for accessing XML files
 Version: @VERSION@
-Requires: @GLIB_REQUIRED@ >= @GLIB_MIN_VERSION@, libxml-2.0 >= @XML_MIN_VERSION@
+Requires: @GLIB_REQUIRED@ >= @GLIB_MIN_VERSION@
 Libs: -L${libdir} -lgdome
 Cflags: -I${includedir}/libgdome
diff -Nurd -x'*~' gdome2-0.8.1.orig/gtk-doc/Makefile.am gdome2-0.8.1/gtk-doc/Makefile.am
--- gdome2-0.8.1.orig/gtk-doc/Makefile.am	2002-04-04 01:58:04.000000000 -0500
+++ gdome2-0.8.1/gtk-doc/Makefile.am	2006-03-03 18:24:03.000000000 -0500
@@ -33,10 +33,10 @@
 	rm -rf sgml html gdome2-decl-list.txt gdome2-decl.txt 
 
 install-data-local:
-	-install -d -m 0755 $(TARGET_DIR)
-	-install -m 0644 $(srcdir)/html/*.html $(TARGET_DIR)
-	-install -m 0644 $(srcdir)/html/index.sgml $(TARGET_DIR)
-	-(cd $(DESTDIR); gtkdoc-fixxref --module=$(DOC_MODULE) --html-dir=$(HTML_DIR))
+	-install -d -m 0755 $(DESTDIR)$(TARGET_DIR)
+	-install -m 0644 $(srcdir)/html/*.html $(DESTDIR)$(TARGET_DIR)
+	-install -m 0644 $(srcdir)/html/index.sgml $(DESTDIR)$(TARGET_DIR)
+	-(cd $(DESTDIR); gtkdoc-fixxref --module=$(DOC_MODULE) --html-dir=$(DESTDIR)$(HTML_DIR))
 
 .PHONY : html sgml templates scan
 
diff -Nurd -x'*~' gdome2-0.8.1.orig/libgdome/gdomecore/gdome-xml-documentt.c gdome2-0.8.1/libgdome/gdomecore/gdome-xml-documentt.c
--- gdome2-0.8.1.orig/libgdome/gdomecore/gdome-xml-documentt.c	2003-07-13 06:47:54.000000000 -0400
+++ gdome2-0.8.1/libgdome/gdomecore/gdome-xml-documentt.c	2014-08-18 02:52:15.000000000 -0400
@@ -342,7 +342,7 @@
 	}
 	xmlNodeDumpOutput (out_buff, NULL, (xmlNode *)is, 0, 0, NULL);
 	xmlOutputBufferFlush(out_buff);
-	ret = g_strndup (out_buff->buffer->content, out_buff->buffer->use);
+	ret = g_strndup (xmlBufContent(out_buff), xmlBufUse(out_buff));
 	(void)xmlOutputBufferClose(out_buff);
 
 	return gdome_xml_str_mkref_own (ret);
diff -Nurd -x'*~' gdome2-0.8.1.orig/libgdome/xpath/gdome-xpath-xpnsresolv.h gdome2-0.8.1/libgdome/xpath/gdome-xpath-xpnsresolv.h
--- gdome2-0.8.1.orig/libgdome/xpath/gdome-xpath-xpnsresolv.h	2002-02-22 16:15:53.000000000 -0500
+++ gdome2-0.8.1/libgdome/xpath/gdome-xpath-xpnsresolv.h	2006-03-03 18:12:49.000000000 -0500
@@ -42,6 +42,5 @@
 void gdome_xpath_xpnsresolv_unref (GdomeXPathNSResolver *self, GdomeException *exc);
 GdomeDOMString * gdome_xpath_xpnsresolv_lookupNamespaceURI( GdomeXPathNSResolver *self, GdomeDOMString *prefix, GdomeException *exc);
 
-const GdomeXPathNSResolverVtab gdome_xpath_xpnsresolv_vtab;
 
 #endif /* GDOME_XPNSRESOLV_FILE */