diff -Nurd -x'*~' pango-1.24.5.orig/Makefile.in pango-1.24.5/Makefile.in
--- pango-1.24.5.orig/Makefile.in	2009-07-20 16:59:51.000000000 -0400
+++ pango-1.24.5/Makefile.in	2009-07-21 15:58:10.000000000 -0400
@@ -317,7 +317,7 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-SUBDIRS = pango modules pango-view examples docs tools tests
+SUBDIRS = pango modules pango-view          docs tools tests
 EXTRA_DIST = \
 	autogen.sh		\
 	pango.pc.in		\
diff -Nurd -x'*~' pango-1.24.5.orig/configure pango-1.24.5/configure
--- pango-1.24.5.orig/configure	2009-07-20 16:59:52.000000000 -0400
+++ pango-1.24.5/configure	2014-03-17 01:45:59.000000000 -0400
@@ -21197,13 +21197,13 @@
 # Note that -module isn't included here since automake needs to see it to know
 # that something like pango-arabic-fc.la is a valid libtool archive
 #
-LIBRARY_LIBTOOL_OPTIONS="-version-info $VERSION_INFO"
-MODULE_LIBTOOL_OPTIONS="-export-dynamic -avoid-version"
+LIBRARY_LIBTOOL_OPTIONS="-version-info $VERSION_INFO -no-undefined"
+MODULE_LIBTOOL_OPTIONS="-export-dynamic -avoid-version -no-undefined"
 if test "$pango_os_win32" = yes; then
     # We currently use .def files on Windows
     true
-    LIBRARY_LIBTOOL_OPTIONS="$LIBRARY_LIBTOOL_OPTIONS -no-undefined"
-    MODULE_LIBTOOL_OPTIONS="$MODULE_LIBTOOL_OPTIONS -no-undefined"
+    LIBRARY_LIBTOOL_OPTIONS="$LIBRARY_LIBTOOL_OPTIONS"
+    MODULE_LIBTOOL_OPTIONS="$MODULE_LIBTOOL_OPTIONS"
 else
     # libtool option to control which symbols are exported
     # right now, symbols starting with '_' are not exported
diff -Nurd -x'*~' pango-1.24.5.orig/docs/Makefile.in pango-1.24.5/docs/Makefile.in
--- pango-1.24.5.orig/docs/Makefile.in	2009-07-20 16:59:47.000000000 -0400
+++ pango-1.24.5/docs/Makefile.in	2009-07-21 15:58:10.000000000 -0400
@@ -311,9 +311,9 @@
 	-DPANGO_ENABLE_ENGINE	\
 	-I$(top_srcdir)		\
 	$(GLIB_CFLAGS)		\
-	$(XFT_CFLAGS)		\
-	$(CAIRO_CFLAGS)		\
 	$(FREETYPE_CFLAGS)	\
+	$(CAIRO_CFLAGS)		\
+	$(XFT_CFLAGS)		\
 	$(X_CFLAGS)
 
 
diff -Nurd -x'*~' pango-1.24.5.orig/docs/html/pango-Miscellaneous-Utilities.html pango-1.24.5/docs/html/pango-Miscellaneous-Utilities.html
--- pango-1.24.5.orig/docs/html/pango-Miscellaneous-Utilities.html	2009-07-20 17:02:23.000000000 -0400
+++ pango-1.24.5/docs/html/pango-Miscellaneous-Utilities.html	2009-07-21 15:58:10.000000000 -0400
@@ -408,7 +408,7 @@
 <pre class="programlisting">char *              pango_config_key_get                (const char *key);</pre>
 <p>
 Looks up a key in the Pango config database
-(pseudo-win.ini style, read from $sysconfdir/pango/pangorc,
+(pseudo-win.ini style, read from @SYSCONFDIR@/pango/pangorc,
  ~/.pangorc, and getenv (PANGO_RC_FILE).)</p>
 <p>
 </p>
diff -Nurd -x'*~' pango-1.24.5.orig/docs/pango-querymodules.1 pango-1.24.5/docs/pango-querymodules.1
--- pango-1.24.5.orig/docs/pango-querymodules.1	2009-04-17 21:19:00.000000000 -0400
+++ pango-1.24.5/docs/pango-querymodules.1	2009-07-21 15:58:10.000000000 -0400
@@ -38,7 +38,7 @@
 The Pango module path is specified by the key
 Pango/ModulesPath
 in the Pango config database, which is read from
-\fIsysconfdir\fR/pango/pangorc,
+\fI@SYSCONFDIR@\fR/pango/pangorc,
 ~/\&.pangorc
 and the file specified in the environment variable
 \fBPANGO_RC_FILE\fR\&.
diff -Nurd -x'*~' pango-1.24.5.orig/modules/basic/Makefile.in pango-1.24.5/modules/basic/Makefile.in
--- pango-1.24.5.orig/modules/basic/Makefile.in	2009-07-20 16:59:47.000000000 -0400
+++ pango-1.24.5/modules/basic/Makefile.in	2010-02-14 15:29:03.000000000 -0500
@@ -387,7 +387,7 @@
 
 INCLUDES = -DG_LOG_DOMAIN=\"Pango\" -DPANGO_ENABLE_ENGINE \
 	$(PANGO_DEBUG_FLAGS) -I$(top_srcdir) -I$(top_srcdir)/pango \
-	$(GLIB_CFLAGS) $(am__append_1) $(am__append_4) $(am__append_9)
+	$(GLIB_CFLAGS) $(am__append_4) $(am__append_1) $(am__append_9)
 moduledir = $(libdir)/pango/$(PANGO_MODULE_VERSION)/modules
 module_LTLIBRARIES = $(am__append_3) $(am__append_6) $(am__append_8) \
 	$(am__append_11)
diff -Nurd -x'*~' pango-1.24.5.orig/pango/Makefile.in pango-1.24.5/pango/Makefile.in
--- pango-1.24.5.orig/pango/Makefile.in	2009-07-20 16:59:50.000000000 -0400
+++ pango-1.24.5/pango/Makefile.in	2009-07-21 15:58:10.000000000 -0400
@@ -500,9 +500,9 @@
 	-I$(top_srcdir)					\
 	$(PANGO_DEBUG_FLAGS)				\
 	$(GLIB_CFLAGS)					\
+	$(FREETYPE_CFLAGS)				\
 	$(XFT_CFLAGS)					\
 	$(CAIRO_CFLAGS)					\
-	$(FREETYPE_CFLAGS)				\
 	$(X_CFLAGS)
 
 BUILT_SOURCES = pango-enum-types.h pango-enum-types.c pango-features.h
@@ -654,9 +654,9 @@
 	libpangoft2-$(PANGO_API_VERSION).la	\
 	libpango-$(PANGO_API_VERSION).la	\
 	$(GLIB_LIBS)				\
-	$(X_LIBS)				\
-	$(XFT_LIBS)				\
 	$(FREETYPE_LIBS)			\
+	$(XFT_LIBS)				\
+	$(X_LIBS)				\
 	$(libm)
 
 libpangoxft_1_0_la_DEPENDENCIES = \
diff -Nurd -x'*~' pango-1.24.5.orig/pango/opentype/Makefile.in pango-1.24.5/pango/opentype/Makefile.in
--- pango-1.24.5.orig/pango/opentype/Makefile.in	2009-07-20 16:59:50.000000000 -0400
+++ pango-1.24.5/pango/opentype/Makefile.in	2010-08-23 04:26:05.000000000 -0400
@@ -255,7 +255,7 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 INCLUDES = \
-	-I $(srcdir)				\
+	-I$(srcdir)				\
 	$(FREETYPE_CFLAGS)
 
 noinst_LTLIBRARIES = libharfbuzz-1.la
diff -Nurd -x'*~' pango-1.24.5.orig/pango/pango-matrix.h pango-1.24.5/pango/pango-matrix.h
--- pango-1.24.5.orig/pango/pango-matrix.h	2009-02-06 18:49:34.000000000 -0500
+++ pango-1.24.5/pango/pango-matrix.h	2011-06-09 10:29:23.000000000 -0400
@@ -51,6 +51,7 @@
  **/
 struct _PangoMatrix
 {
+  /*< public >*/
   double xx;
   double xy;
   double yx;
diff -Nurd -x'*~' pango-1.24.5.orig/pango-view/Makefile.in pango-1.24.5/pango-view/Makefile.in
--- pango-1.24.5.orig/pango-view/Makefile.in	2009-07-20 16:59:49.000000000 -0400
+++ pango-1.24.5/pango-view/Makefile.in	2010-02-14 14:42:32.000000000 -0500
@@ -367,8 +367,8 @@
 	viewer-main.c pango-view.c $(am__append_1) $(am__append_3) \
 	$(am__append_5) $(am__append_7)
 pango_view_LDADD = ../pango/libpango-$(PANGO_API_VERSION).la \
-	$(GLIB_LIBS) $(am__append_2) $(am__append_4) $(am__append_6) \
-	$(am__append_8)
+	$(GLIB_LIBS) $(am__append_4) $(am__append_6) \
+	$(am__append_8) $(am__append_2)
 
 #########################################################
 MAINTAINERCLEANFILES = pango-view.1
diff -Nurd -x'*~' pango-1.24.5.orig/pangox.pc.in pango-1.24.5/pangox.pc.in
--- pango-1.24.5.orig/pangox.pc.in	2009-02-06 18:49:34.000000000 -0500
+++ pango-1.24.5/pangox.pc.in	2015-06-19 18:38:44.000000000 -0400
@@ -6,6 +6,6 @@
 Name: Pango X
 Description: X Window System font support for Pango
 Version: @VERSION@
-Requires: pango
-Libs: -L${libdir} -lpangox-@PANGO_API_VERSION@ @X_LIBS@
-Cflags: -I${includedir}/pango-1.0 @X_CFLAGS@
+Requires: pango x11
+Libs: -L${libdir} -lpangox-@PANGO_API_VERSION@
+Cflags: -I${includedir}/pango-1.0
diff -Nurd -x'*~' pango-1.24.5.orig/pangoxft.pc.in pango-1.24.5/pangoxft.pc.in
--- pango-1.24.5.orig/pangoxft.pc.in	2009-02-06 18:49:34.000000000 -0500
+++ pango-1.24.5/pangoxft.pc.in	2009-07-21 15:58:10.000000000 -0400
@@ -6,6 +6,6 @@
 Name: Pango Xft
 Description: Xft font support for Pango
 Version: @VERSION@
-Requires: pango pangoft2 xft
+Requires: pango pangoft2 xft pangox
 Libs: -L${libdir} -lpangoxft-@PANGO_API_VERSION@
 Cflags: -I${includedir}/pango-1.0
diff -Nurd -x'*~' pango-1.24.5.orig/tests/Makefile.in pango-1.24.5/tests/Makefile.in
--- pango-1.24.5.orig/tests/Makefile.in	2009-07-20 16:59:50.000000000 -0400
+++ pango-1.24.5/tests/Makefile.in	2009-07-21 15:58:10.000000000 -0400
@@ -309,7 +309,7 @@
 CLEANFILES = pangorc
 DISTCLEANFILES = all-unicode.txt runtests.log
 INCLUDES = -I$(top_srcdir) $(PANGO_DEBUG_FLAGS) $(GLIB_CFLAGS) \
-	$(XFT_CFLAGS) $(CAIRO_CFLAGS) $(FREETYPE_CFLAGS) $(X_CFLAGS) \
+	$(FREETYPE_CFLAGS) $(XFT_CFLAGS) $(CAIRO_CFLAGS) $(X_CFLAGS) \
 	$(am__append_1) $(am__append_2) $(am__append_3)
 TESTS_ENVIRONMENT = \
    srcdir=$(srcdir)                    \
diff -Nurd -x'*~' pango-1.24.5.orig/update-pango-modules pango-1.24.5/update-pango-modules
--- pango-1.24.5.orig/update-pango-modules	1969-12-31 19:00:00.000000000 -0500
+++ pango-1.24.5/update-pango-modules	2009-07-21 15:58:10.000000000 -0400
@@ -0,0 +1,20 @@
+#!/bin/sh -e
+#
+# update-pango-modules
+#
+#   Packages which install pango module(s) should call update-pango-modules
+#   in their PostInstScript and PostRmScript to update the pango.module file.
+#
+
+CONFDIR=@SYSCONFDIR@/pango
+CONFFILE=$CONFDIR/pango.modules
+
+mkdir -p $CONFDIR
+
+TMPFILE=`tempfile`
+pango-querymodules >$TMPFILE
+
+mv -f $TMPFILE $CONFFILE
+chmod 0644 $CONFFILE
+
+exit 0